# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/rng/ti,keystone-rng.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Keystone SoC Hardware Random Number Generator

maintainers:
  - Nishanth Menon <nm@ti.com>
  - Santosh Shilimkar <ssantosh@kernel.org>

properties:
  compatible:
    const: ti,keystone-rng

  clocks:
    maxItems: 1

  clock-names:
    items:
      - const: fck

  reg:
    maxItems: 1

  ti,syscon-sa-cfg:
    $ref: "/schemas/types.yaml#/definitions/phandle"
    description: |
      Phandle to syscon node of the SA configuration registers.  These
      registers are shared between HWRNG and crypto drivers.

required:
  - compatible
  - clocks
  - clock-names
  - reg
  - ti,syscon-sa-cfg

additionalProperties: false

examples:
  - |
    rng@24000 {
        compatible = "ti,keystone-rng";
        ti,syscon-sa-cfg = <&sa_config>;
        clocks = <&clksa>;
        clock-names = "fck";
        reg = <0x24000 0x1000>;
    };
